Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07026 Gameplay Major Always Jun 19, 2018, 13:34 Oct 27, 2019, 18:30
Tester wuemura View Status Public Platform MAME (Official Binary)
Assigned To galibert Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver model1.cpp
Version 0.198 Fixed in Version 0.215 Build 64-bit
Summary 07026: vr: vr gameplay calculations and physics issues
Description For some reason the computer is doing a lot of mistakes during attract mode and gameplay in comparison with MAME 0.196:
- In the first minutes of attract mode, the car get out the racing track at the first corner (verified with original)
- During attract mode, It has trouble to pass other cars (verified with original)
- Traffic cars at the wrong position on the racing track (verified with original)
- Near the end of the attract mode, the arcade show that the main racing car pass the second check point of the track, the emulation it doesn't even get close (MAME 0.198). MAME 0.196 near the second check point two white racing cars get in the way.

- During gameplay at the "Big Forest" track, near the corners if there are two or more computer cars, they always crash at it.
- The racing track got very unstable, it shakes too much in 0.198, 0.196 is much more stable.
Steps To Reproduce Watch attract mode or play the game at the Big Forest track.
Additional Information Related?
http://mametesters.org/view.php?id=7025
Flags Verified with Original
Regression Version 0.197
Affected Sets / Systems vr
Attached Files
png file icon vr-side-side-01.png (428,378 bytes) Jun 19, 2018, 13:34 Uploaded by wuemura
wuemura
Relationships
related to 07025Resolvedgalibert vr: Virtual Racing graphic glitches 
Notes
9
User avatar
No.15182
wuemura
Viewer
Jun 19, 2018, 13:52
edited on: Jun 19, 2018, 15:05
Arcade and MAME 0.198


Traffic cars always crash at the the corner and get in the player way, notice the crash and tire screeching sound.


The traffic cars don't crash at the corner in MAME 0.196
User avatar
No.15187
NekoEd
Senior Tester
Jun 20, 2018, 05:55
I think you've covered this pretty well. Given it locks up at trying to display polygons for me, something is definitely wrong.
User avatar
No.15199
Haze
Senior Tester
Jun 21, 2018, 13:03
fwiw I've had Virtua Fighter 2 fail to display polygons once or twice too when just left in attract after startup, so might be something uninitialized in the TGP core as that is a random behavior and probably not related to this bug.

the car movement issues are clear to see from the moment the player car incorrectly cuts across the grass at the 10 second mark in the video anyway.

maybe it would possible to add some logging code to intercept TGP commands and show their results, to find out which ones are giving significantly different values with the new core vs old core? I imagine OG had a plan for it anyway tho.
User avatar
No.15203
NekoEd
Senior Tester
Jun 22, 2018, 06:21
The no polygons turned out to be outdated TGP ROMs, so my error there, sorry.
User avatar
No.15206
Fujix
Administrator
Jun 22, 2018, 10:12
edited on: Jun 22, 2018, 10:16
You can LIKE a note now! (testing yet)
It shows only the number of likes, does't reveal who liked it. It is not displayed even for admins.
Enjoy liking!
User avatar
No.16101
Hydreigon
Tester
Feb 3, 2019, 17:33
edited on: Feb 3, 2019, 17:50
I'm going to return to this bug and confirm that this is related to 06861 but not a duplicate. This behavior currently happens despite the updated TGP roms but only in Virtua Racing and Formula. I'm starting to think this is a TGP/CPU issue causing both a bad camera tracking (06861) and the car accelerating faster than usual in attract. Interestingly when running in a linked setup, of two players at least, the slave machine won't have that TGP issue as much compared to the master machine in attract mode. Idk what would happen with more than two players.
User avatar
No.17018
Tafoid
Administrator
Oct 3, 2019, 22:33
Your reporting about issues related to timing in networked MAME builds should not have been piggy backed onto this bug report. I'm tempted to delete them as they confuse the overall issue first posted with no comparisons done with other versions or arcade behavior - it makes it a difficult sell.
User avatar
No.17028
Hydreigon
Tester
Oct 5, 2019, 00:29
You can delete both images if you want. And no, it's not a timing issue that the car accelerates. Both instances of MAME itself synchronize fine. Decided to test a 4p setup for curiosity's sake and the results were pretty much the same.

Gaibert recently did a commit that improved the calculation issues but it isn't fully fixed yet: https://git.redump.net/mame/commit/?id=b51ae75c3ae7b5bb297b27a31b00de603b14220f
User avatar
No.17137
hydef
Tester
Oct 27, 2019, 18:30
I wanted to register to thank for the work put into fixing this. When I first played it and did a couple of games it was great, I thought it was completely fixed. The issue I had was at usual point on the track (the turn before the final turn on Big Forest), something would slow your car for no reason. It happens far less frequently now, though. And it's impossible to reproduce every time. And once earlier I was driving along the bridge on the first track and something briefly slowed me like as if I'd driven off track.